# Range: Name Length Between 3 and 4

Two must filters on the same field make a range: gte sets the lower bound and lte the upper one, both inclusive.

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/range-name-length-between-3-and-4/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 8 of 9 in **Combinations › Operators** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `domain.name.length` · `field` `domain.extension` · `operator` `gte` · `operator` `lte` · `operator` `eq` · `logic` `must`

Two `must` filters on the same field make a range: `gte` sets the lower bound and `lte` the upper one, both inclusive.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `domain.name.length` |
| `filters.must[0].type` | body | `gte` |
| `filters.must[0].value` | body | `3` |
| `filters.must[1].name` | body | `domain.name.length` |
| `filters.must[1].type` | body | `lte` |
| `filters.must[1].value` | body | `4` |
| `filters.must[2].name` | body | `domain.extension` |
| `filters.must[2].type` | body | `eq` |
| `filters.must[2].value` | body | `com` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "domain.name.length",
        "type": "gte",
        "value": 3
      },
      {
        "name": "domain.name.length",
        "type": "lte",
        "value": 4
      },
      {
        "name": "domain.extension",
        "type": "eq",
        "value": "com"
      }
    ]
  }
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown; results[].domain.ip_history: first 10 items; results[].ip_history: first 10 items

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 997` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99841` · `x-ratelimit-remaining-minute: 9992` · `x-ratelimit-remaining-second: 997` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 24831608,
  "results": [
    {
      "punycode": "sydk.com",
      "unicode": "sydk.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "sydk",
        "unicode": "sydk",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 4,
        "lang": "lv",
        "keywords": [
          "sy",
          "dk"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "sydk.com",
        "unicode": "sydk.com",
        "is_idn": false,
        "name": {
          "punycode": "sydk",
          "unicode": "sydk",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 4,
          "lang": "lv",
          "keywords": [
            "sy",
            "dk"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2001-11-18T19:59:09Z",
          "update_date": "2025-04-24T02:41:11Z",
          "expiry_date": "2026-11-18T19:59:09Z",
          "registrar": "alibaba cloud computing (beijing) co., ltd.",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": "hu bei",
            "postal_code": null,
            "country": "cn",
            "phone": null,
            "email": "REDACTED FOR PRIVACY"
          },
          "name_servers": [
            "dns3.hichina.com",
            "dns4.hichina.com"
          ],
          "domain_status": [
            "ok"
          ],
          "whois_server": "grs-whois.hichina.com",
          "check_date": "2026-08-24T13:07:48Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-08-24T13:07:48Z",
        "whois_create_date_historical": [
          "2001-11-18T19:59:09Z"
        ],
        "whois_last_change_date": "2025-06-08T04:29:25Z",
        "whois_registrant_email_historical": [
          "https://whois.aliyun.com/whois/whoisform",
          "user@mingyou.com"
        ],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-21T04:48:07Z",
            "ip_addresses": [
              "113.56.40.11"
            ]
          }
        },
        "dns_last_change_date": "2026-09-21T04:49:37Z",
        "ip_history": [
          "170.33.9.230",
          "47.91.170.222",
          "121.54.170.33",
          "170.33.13.246",
          "113.56.40.11"
        ],
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-21T04:48:07Z",
          "ip_addresses": [
            "113.56.40.11"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-21T04:48:07Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-21T04:48:07Z",
          "name_servers": [
            "dns3.hichina.com",
            "dns4.hichina.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-21T04:48:07Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-21T04:48:07Z",
          "mnames": [
            "dns3.hichina.com"
          ],
          "rnames": [
            "hostmaster.hichina.com"
          ],
          "rname_emails": [
            "user@hichina.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-21T04:48:07Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-21T04:48:07Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-21T04:49:37Z",
      "ip_history": [
        "170.33.9.230",
        "47.91.170.222",
        "121.54.170.33",
        "170.33.13.246",
        "113.56.40.11"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": {
        "connection_status": "timeout",
        "html": null,
        "http": null
      }
    },
    {
      "punycode": "5g8i.com",
      "unicode": "5g8i.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "5g8i",
        "unicode": "5g8i",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": true,
        "contains_hyphen": false,
        "length": 4,
        "lang": null,
        "keywords": [],
        "keyword_count": 0,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "5g8i.com",
        "unicode": "5g8i.com",
        "is_idn": false,
        "name": {
          "punycode": "5g8i",
          "unicode": "5g8i",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": true,
          "contains_hyphen": false,
          "length": 4,
          "lang": null,
          "keywords": [],
          "keyword_count": 0
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2026-02-14T19:09:55Z",
          "update_date": "2026-04-07T14:02:51Z",
          "expiry_date": "2027-02-14T19:09:55Z",
          "registrar": "abbey road domains llc",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns1.afternic.com",
            "ns2.afternic.com",
            "verification-d3jclucsp89ganyqbydeny.ns101.verify.hn"
          ],
          "domain_status": [
            "ok"
          ],
          "whois_server": "whois.web.com",
          "check_date": "2026-07-10T01:02:24Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-07-10T01:02:24Z",
        "whois_create_date_historical": [
          "2019-11-28T03:26:36Z",
          "2026-02-14T19:09:55Z"
        ],
        "whois_last_change_date": "2026-07-10T01:19:43Z",
        "whois_registrant_email_historical": [
          "select contact domain holder link at https://www.godaddy.com/whois/results.aspx?domain=5g8i.com",
          "user@maskeddetails.com"
        ],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-21T04:25:15Z",
            "ip_addresses": [
              "13.248.169.48",
              "76.223.54.146"
            ]
          }
        },
        "dns_last_change_date": "2026-09-21T04:25:36Z",
        "ip_history": [
          "192.151.221.173",
          "192.151.221.174",
          "23.224.147.138",
          "23.224.147.139",
          "23.224.147.140",
          "23.225.153.13",
          "23.225.153.14",
          "23.225.165.205",
          "23.225.165.206",
          "192.151.221.171"
        ],
        "ssl": {
          "validity": {
            "start_date": "2026-06-16T18:01:23Z",
            "end_date": "2026-12-31T18:01:23Z"
          },
          "serial_number": "2831591698412192460",
          "check_date": "2026-06-25T11:31:33Z"
        },
        "ssl_last_change_date": "2026-06-25T11:31:59Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-21T04:25:15Z",
          "ip_addresses": [
            "13.248.169.48",
            "76.223.54.146"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-21T04:25:15Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-21T04:25:15Z",
          "name_servers": [
            "ns1.afternic.com",
            "ns2.afternic.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-21T04:25:15Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-21T04:25:15Z",
          "mnames": [
            "ns2.afternic.com"
          ],
          "rnames": [
            "dns.jomax.net"
          ],
          "rname_emails": [
            "user@jomax.net"
          ]
        },
        "txt": {
          "update_date": "2026-09-21T04:25:15Z",
          "values": [
            "\"v=spf1 -all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-21T04:25:15Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-21T04:25:36Z",
      "ip_history": [
        "192.151.221.173",
        "192.151.221.174",
        "23.224.147.138",
        "23.224.147.139",
        "23.224.147.140",
        "23.225.153.13",
        "23.225.153.14",
        "23.225.165.205",
        "23.225.165.206",
        "192.151.221.171"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "5g8i.com"
        ],
        "version": 3,
        "serial_number": "2831591698412192460",
        "fingerprint": {
          "sha256": "725ee8cba14d4db7f971faa19f10fead811b8155ea42e1a93df45cee65c78d2e",
          "sha1": "3b7d89602d3659f85afa54e522127a2267c302da",
          "md5": "68e6305a2c8093226037b156c60b0f3e"
        },
        "validity": {
          "start_date": "2026-06-16T18:01:23Z",
          "end_date": "2026-12-31T18:01:23Z",
          "length": 17107200
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "juX8pqHTiQ8b3tu5OwUhbwf44cwuKlKfLX0KYIvvGG8S5/trDMsa4GBkTq7XQhnLx9Vs7DnKgLgh4QaMTDDXPxGGM6usi0lWQ75aZtOpxrPbBLVwavrRRdpwcL37j2LNyfYx07QUxMj2XkNuFWhlcAwYHzaaQv6sz6INybHHQnPza1Qm9t4uHU3gEhS7O8R/2jE2UqCwIHUYtght6ergRt1mTiFF4twAMM4hSyGC9VR2TbkevlaEYYDkUb263SmKKSuU+vsq3eo584B1eZwdIOWQ7BOm/aELaQNVaB7R8tMxaIAou8AaS8NtDfvWRFGOG+8ciX+UbASAQ9HF42ii9ADLwbo+o7TwY3KGCvBXAeAv3CQSgmji8VmrNfcI1OEcl0CgQeE8/U4cZpH8gtOroxr1RFr4ttitmQDQYLUX8KYr/PWs/O94yhIEYmtEN+1mWanVJ8ZKlT4BcoSFg8yTV0egpG9juyOPhyIJVANLoUvSzSaUn+pj+yVofSXScnExEbm0oRSYtKGnwG2yIMpeqWyVsABzLTw8N1jJElonmX82zbpa+sKwH3dX383eQSiYmF/RWsAq1CuiE1te/Jf/2a8/cX/ly8EDpm3788eZnAgHEPlZ/ymOG0i7JWPmo3k6/ChFoT8bDxTP/pwZNi7Onp8tJTtmQdaxfEPpZpfpYcQ=",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=GoDaddy TLS Intermediate CA DV - R1v1,O=GoDaddy.com,C=US",
        "issuer": {
          "common_name": "GoDaddy TLS Intermediate CA DV - R1v1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "GoDaddy.com",
          "organizational_unit": null
        },
        "subject_dn": "CN=5g8i.com",
        "subject": {
          "common_name": "5g8i.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "ievnHXnDvts/3I4gsPvkHnw59is=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1",
            "2.16.840.1.114413.1.7.23.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-06-16T18:01:23Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "5g8i.com"
            ]
          },
          "subject_key_id": "gq2AV4EllQa59eUhSbsnHDmWJs4="
        },
        "check_date": "2026-06-25T11:31:33Z"
      },
      "ssl_last_change_date": "2026-06-25T11:31:59Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "6dc9c7fc93bb488bb0520a6c780a8d3c0fb5486a4711aca49b4c53fac7393023"
        },
        "http": {
          "status_code_first": 200,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://5g8i.com/",
              "status_code": 200
            }
          ],
          "external_redirection": null,
          "final_url": "http://5g8i.com/",
          "final_fqdn": "5g8i.com",
          "final_domain": "5g8i.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Mon, 07 Sep 2026 14:38:46 GMT"
              },
              {
                "name": "content_length",
                "value": "114"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": null,
            "content_security_policy": null,
            "content_type": "text/html",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": null,
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "abal.com",
      "unicode": "abal.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "abal",
        "unicode": "abal",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 4,
        "lang": "en",
        "keywords": [
          "abal"
        ],
        "keyword_count": 1,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "abal.com",
        "unicode": "abal.com",
        "is_idn": false,
        "name": {
          "punycode": "abal",
          "unicode": "abal",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 4,
          "lang": "en",
          "keywords": [
            "abal"
          ],
          "keyword_count": 1
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "1998-10-01T04:00:00Z",
          "update_date": "2025-10-21T11:23:52Z",
          "expiry_date": "2035-09-30T04:00:00Z",
          "registrar": "namecheap, inc.",
          "registrant": {
            "name": "redacted for privacy",
            "organization": "privacy service provided by withheld for privacy ehf",
            "street": "kalkofnsvegur 2",
            "city": "reykjavik",
            "state": "capital region",
            "postal_code": "101",
            "country": "is",
            "phone": "+354.4212434",
            "email": "user@withheldforprivacy.com"
          },
          "name_servers": [
            "ns1.eftydns.com",
            "ns2.eftydns.com"
          ],
          "domain_status": [
            "clienttransferprohibited"
          ],
          "whois_server": "whois.namecheap.com",
          "check_date": "2026-08-26T02:27:14Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "privacyserviceprovidedbywithheldforprivacyehf",
            "phone": "3544212434",
            "email": "user@withheldforprivacy.com",
            "email_fqdn_apex": "withheldforprivacy.com",
            "email_domain_apex": "withheldforprivacy.com"
          }
        },
        "whois_last_check_date": "2026-08-26T02:27:14Z",
        "whois_create_date_historical": [
          "1998-10-01T04:00:00Z"
        ],
        "whois_last_change_date": "2025-12-21T19:57:18Z",
        "whois_registrant_email_historical": [
          "user@withheldforprivacy.com",
          "user@privacy-link.com",
          "select contact domain holder link at https://www.godaddy.com/whois/results.aspx?domain=abal.com",
          "https://uniregistry.com/whois/contact/abal.com?landerid=whois",
          "user@domainsbyproxy.com"
        ],
        "whois_privacy_enabled": true,
        "dns": {
          "a": {
            "update_date": "2026-09-21T04:26:08Z",
            "ip_addresses": [
              "86.105.245.69"
            ]
          }
        },
        "dns_last_change_date": "2026-09-21T04:26:26Z",
        "ip_history": [
          "52.128.23.153",
          "86.105.245.69"
        ],
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-21T04:26:08Z",
          "ip_addresses": [
            "86.105.245.69"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-21T04:26:08Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-21T04:26:08Z",
          "name_servers": [
            "ns1.eftydns.com",
            "ns2.eftydns.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-21T04:26:08Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-21T04:26:08Z",
          "mnames": [
            "ns1.eftydns.com"
          ],
          "rnames": [
            "hostmaster.abal.com"
          ],
          "rname_emails": [
            "user@abal.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-21T04:26:08Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-21T04:26:08Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-21T04:26:25Z",
      "ip_history": [
        "52.128.23.153",
        "86.105.245.69"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "c94b12250e5b17da1b6072d87ca92ffe9c715ce56c23f163144e3fe23f5bf5f2"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://abal.com/",
              "status_code": 301
            },
            {
              "url": "https://abal.com/",
              "status_code": 302
            },
            {
              "url": "https://www.abal.com/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://www.abal.com/",
          "final_fqdn": "www.abal.com",
          "final_domain": "abal.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Sat, 01 Aug 2026 00:00:57 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "expires",
                "value": "Thu, 19 Nov 1981 08:52:00 GMT"
              },
              {
                "name": "pragma",
                "value": "no-cache"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "no-store, no-cache, must-revalidate",
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "openresty/1.21.4.1",
            "set_cookie": "PHPSESSID=<value>; path=/",
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": [
            {
              "name": "PHPSESSID",
              "value": "<value>"
            }
          ]
        }
      }
    }
  ]
}
```

## Related Examples

- [Soonest to Expire First](/reference/discovery/domain-search/examples/soonest-to-expire-first/)
- [Short Domain Names (Up to 5 Characters)](/reference/discovery/domain-search/examples/domain-name-length/)
- [Expiring Soon With WHOIS Privacy](/reference/discovery/domain-search/examples/expiring-soon-with-whois-privacy/)
- [In: One of Several Extensions](/reference/discovery/domain-search/examples/in-one-of-several-extensions/)
- [Must and Should Together](/reference/discovery/domain-search/examples/must-and-should-together/)
- [Must Not: Registrable Domains Outside .com](/reference/discovery/domain-search/examples/must-not-registrable-domains-outside-com/)
